org.codehaus.groovy.transform

## Class AnnotationCollectorTransform.ClassChanger

- java.lang.Object
- - org.codehaus.groovy.transform.AnnotationCollectorTransform.ClassChanger

- Enclosing class:
    AnnotationCollectorTransform

      public static class AnnotationCollectorTransform.ClassChanger
      extends java.lang.Object

  Class used by `CompilationUnit` to transform the alias class into what is needed by the compiler. This means removing invalid modifiers, interfaces and superclasses, as well as adding a static value method returning our serialized version of the data for processing from a pre-compiled state. By doing this the old annotations will be removed as well

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassChanger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transformClass(ClassNode cn)` Method to transform the given ClassNode, if it is annotated with `AnnotationCollector`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassChanger

          public ClassChanger()

  - ### Method Detail

    - #### transformClass

          public void transformClass(ClassNode cn)

      Method to transform the given ClassNode, if it is annotated with `AnnotationCollector`. See class description for what the transformation includes.